gtkmm: Gtk::ComboDropDown_Helpers::ComboDropDownList Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Gtk::ComboDropDown_Helpers::ComboDropDownList Class Reference
Inheritance diagram for Gtk::ComboDropDown_Helpers::ComboDropDownList:
[legend]
Collaboration diagram for Gtk::ComboDropDown_Helpers::ComboDropDownList:
[legend]

## Public Types
typedef Glib::HelperList< ComboDropDownItem, const Element, Glib::List_Cpp_Iterator< GtkListItem, ComboDropDownItem > > | type_base
Public Types inherited from Glib::HelperList< ComboDropDownItem, const Element, Glib::List_Cpp_Iterator< GtkListItem, ComboDropDownItem > >
typedef T_Child | value_type
typedef value_type & | reference
typedef const value_type & | const_reference
typedef T_Iterator | iterator
typedef List_ConstIterator< iterator > | const_iterator
typedef List_ReverseIterator< iterator > | reverse_iterator
typedef List_ConstIterator< reverse_iterator > | const_reverse_iterator
typedef T_CppElement | element_type
typedef std::size_t | difference_type
typedef std::size_t | size_type

## Public Member Functions
| ComboDropDownList ()
| ComboDropDownList (GtkList*gparent)
| ComboDropDownList (const ComboDropDownList& src)
virtual | ~ComboDropDownList ()
ComboDropDownList& | operator= (const ComboDropDownList& src)
GtkList* | gparent ()
const GtkList* | gparent () const
virtual GList*& | glist () const
virtual void | erase (iterator start, iterator stop)
virtual iterator | erase (iterator)
virtual void | remove (const_reference)
reference | operator[] (size_type l) const
| This is order n. (use at own risk) More...
iterator | insert (iterator position, element_type& e)
template<class InputIterator >
void | insert (iterator position, InputIterator first, InputIterator last)
void | push_front (element_type& e)
void | push_back (element_type& e)
iterator | find (const_reference c)
iterator | find (Widget&)
Public Member Functions inherited from Glib::HelperList< ComboDropDownItem, const Element, Glib::List_Cpp_Iterator< GtkListItem, ComboDropDownItem > >
| HelperList ()
| HelperList (GObject *gp)
virtual | ~HelperList () noexcept
size_type | size () const
size_type | max_size ()
bool | empty ()
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
reverse_iterator | rbegin ()
const_reverse_iterator | rbegin () const
reverse_iterator | rend ()
const_reverse_iterator | rend () const
reference | front () const
reference | back () const
reference | operator[] (size_type l) const
void | pop_front ()
void | pop_back ()
void | clear ()
GObject * | gparent ()
const GObject * | gparent () const

## Additional Inherited Members
Protected Member Functions inherited from Glib::HelperList< ComboDropDownItem, const Element, Glib::List_Cpp_Iterator< GtkListItem, ComboDropDownItem > >
iterator | begin_ () const
iterator | end_ () const
Protected Attributes inherited from Glib::HelperList< ComboDropDownItem, const Element, Glib::List_Cpp_Iterator< GtkListItem, ComboDropDownItem > >
GObject * | gparent_

## Member Typedef Documentation

typedef Glib::HelperList< ComboDropDownItem, const Element, Glib::List_Cpp_Iterator<GtkListItem,ComboDropDownItem> > Gtk::ComboDropDown_Helpers::ComboDropDownList::type_base

## Constructor & Destructor Documentation

Gtk::ComboDropDown_Helpers::ComboDropDownList::ComboDropDownList | ( |  | ) |

Gtk::ComboDropDown_Helpers::ComboDropDownList::ComboDropDownList | ( | GtkList * | gparent | ) |
| explicit

Gtk::ComboDropDown_Helpers::ComboDropDownList::ComboDropDownList | ( | const ComboDropDownList& | src | ) |

virtual Gtk::ComboDropDown_Helpers::ComboDropDownList::~ComboDropDownList | ( |  | ) |
| inlinevirtual

## Member Function Documentation

virtual void Gtk::ComboDropDown_Helpers::ComboDropDownList::erase | ( | iterator | start,
|  | iterator | stop
| ) |  |
| virtual

Reimplemented from Glib::HelperList< ComboDropDownItem, const Element, Glib::List_Cpp_Iterator< GtkListItem, ComboDropDownItem > >.

virtual iterator Gtk::ComboDropDown_Helpers::ComboDropDownList::erase | ( | iterator |  | ) |
| virtual

Implements Glib::HelperList< ComboDropDownItem, const Element, Glib::List_Cpp_Iterator< GtkListItem, ComboDropDownItem > >.

iterator Gtk::ComboDropDown_Helpers::ComboDropDownList::find | ( | const_reference | c | ) |

iterator Gtk::ComboDropDown_Helpers::ComboDropDownList::find | ( | Widget& |  | ) |

virtual GList*& Gtk::ComboDropDown_Helpers::ComboDropDownList::glist | ( |  | ) | const
| virtual

Implements Glib::HelperList< ComboDropDownItem, const Element, Glib::List_Cpp_Iterator< GtkListItem, ComboDropDownItem > >.

GtkList* Gtk::ComboDropDown_Helpers::ComboDropDownList::gparent | ( |  | ) |

const GtkList* Gtk::ComboDropDown_Helpers::ComboDropDownList::gparent | ( |  | ) | const

iterator Gtk::ComboDropDown_Helpers::ComboDropDownList::insert | ( | iterator | position,
|  | element_type & | e
| ) |  |

template <class InputIterator >

void Gtk::ComboDropDown_Helpers::ComboDropDownList::insert | ( | iterator | position,
|  | InputIterator | first,
|  | InputIterator | last
| ) |  |
| inline

ComboDropDownList& Gtk::ComboDropDown_Helpers::ComboDropDownList::operator= | ( | const ComboDropDownList& | src | ) |

reference Gtk::ComboDropDown_Helpers::ComboDropDownList::operator[] | ( | size_type | l | ) | const

This is order n. (use at own risk)

void Gtk::ComboDropDown_Helpers::ComboDropDownList::push_back | ( | element_type & | e | ) |
| inline

void Gtk::ComboDropDown_Helpers::ComboDropDownList::push_front | ( | element_type & | e | ) |
| inline

virtual void Gtk::ComboDropDown_Helpers::ComboDropDownList::remove | ( | const_reference |  | ) |
| virtual

Implements Glib::HelperList< ComboDropDownItem, const Element, Glib::List_Cpp_Iterator< GtkListItem, ComboDropDownItem > >.

The documentation for this class was generated from the following file:

- gtkmm/combo.h